fehlermeldungen von cpufred auf /dev/null umleiten

Dieses Thema im Forum "Debian/Ubuntu/Knoppix" wurde erstellt von sono, 21.04.2005.

  1. sono

    sono Sack Flöhe Hüter

    Dabei seit:
    31.01.2004
    Beiträge:
    1.299
    Zustimmungen:
    0
    Ort:
    http://webfrap.de
    Morgen.

    Ich hab nen Asuslaptop und cpufred am laufen.
    Dummerweise hat cpufred kleinere Probleme und müllt mir damit die ganze konsole zu.
    Sobald ich x verlasse werden ständig ohne rücksicht auf verluste Fehler in die Konsole gepostet.
    Diese Meldungen würde ich gerne einfach auf /dev/null umleiten, ich hab auch schon ein wenig im /etc/init.d/cpufreqd script rumgebastelt um die ausgabe einfach umzuleiten aber das hat leider nicht so geklappt wie ich das dachte.

    Wie schaffe ich es dass cpufred die klappe hällt oder wes wenigstens dem schwarzen loch erzählt und nicht mir .

    Gruß Sono
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 Paradiser, 22.04.2005
    Paradiser

    Paradiser Druckmacher

    Dabei seit:
    13.10.2003
    Beiträge:
    75
    Zustimmungen:
    0
    warum nimmste nich den powernowd ?
     
  4. Zico

    Zico Lebende Foren Legende

    Dabei seit:
    16.04.2004
    Beiträge:
    1.559
    Zustimmungen:
    0
    Ich kenn mich mit dem Programm ja nicht ganz so aus, und je nachdem klappts auch nich immer aber schon versucht folgendermaßen zu starten:

    Code:
    /what/ever/cpufred > /dev/null
    /what/ever/cpufred steht dabei halt für den command, mit dem du das Prog startest. Falls noch nicht versucht, mach des ma :)
     
  5. name

    name Inactive user

    Dabei seit:
    28.08.2004
    Beiträge:
    592
    Zustimmungen:
    0
    Ort:
    Wien->127.0.0.1
    da ladet er aber alle meldungen nach /dev/null.....
    nich nur die fehlermeldungen
     
  6. sono

    sono Sack Flöhe Hüter

    Dabei seit:
    31.01.2004
    Beiträge:
    1.299
    Zustimmungen:
    0
    Ort:
    http://webfrap.de
    hm , also das ich die Fehlermeldungen so umleiten kann ist mir klar.
    Nur will ich das Progg nicht von Hand starten sondern ich will dem init.d script erklären dass alle fehlermeldungen nach /dev/null sollen.

    Das hat nur leider nicht ganz so geklappt wie ich das wollte.

    Ich kann mal powernd versuchen vielleicht ist der ja besser .
    Gruß Sono
     
  7. Zico

    Zico Lebende Foren Legende

    Dabei seit:
    16.04.2004
    Beiträge:
    1.559
    Zustimmungen:
    0
    Ach, das Programm gibt auch nicht-Fehlermeldungen von sich? :D
    Ne, is klar, ich kenns ja nich 100%, aber bei so nerv-dingern is man ja manchmal froh, wenn ruhe is.
    Aber dennoch wirds gehn.
    Dazu müssten halt umformungen im init.d Script gemacht werden.
    Irgendwo in dem Script wird der Daemon ja gestartet - und das vllt. auch mitr nem ganz normalen Befehl - häng doch einfach mal das Script an und ich seh was ich tun kann.

    Wenn die Befehlszeile im Script auftaucht isses ja dann einfach sie so zu modifizieren:

    Code:
    STARTCOMMAND | grep FEHLERMELDUNG-STICHWORT > /dev/null
     
  8. codc

    codc /dev/null

    Dabei seit:
    12.01.2004
    Beiträge:
    607
    Zustimmungen:
    0
    Unfug ... befehl 2>/dev/null schickt die Fehlermeldungen nach /dev/null weil 2> der stderr ist

    befehl > /dev/null nur den stdout nach /dev/null
    befehl > /dev/null 2>& schickt beide in den Müll :oldman
     
  9. Zico

    Zico Lebende Foren Legende

    Dabei seit:
    16.04.2004
    Beiträge:
    1.559
    Zustimmungen:
    0
    interessant - i'll keep that in mind
     
  10. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  11. sono

    sono Sack Flöhe Hüter

    Dabei seit:
    31.01.2004
    Beiträge:
    1.299
    Zustimmungen:
    0
    Ort:
    http://webfrap.de
    #! /bin/sh
    #
    # Startup script for the cpufreqd daemon. It's been made using the
    # skeleton example file to build /etc/init.d/ scripts.
    # This file should be used to construct scripts for /etc/init.d.
    #
    # Written by Miquel van Smoorenburg <miquels@cistron.nl>.
    # Modified for Debian GNU/Linux
    # by Ian Murdock <imurdock@gnu.ai.mit.edu>.
    #
    # Version: @(#)skeleton 1.9.1 08-Apr-2002 miquels@cistron.nl
    #

    PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
    DAEMON=/usr/sbin/cpufreqd
    CPUFREQD_CONFFILE=/etc/cpufreqd.conf
    NAME=cpufreqd
    DESC="CPU Frequency daemon"

    # abort if no executable exists
    test -x $DAEMON || exit 0

    #abort if no conffile exists
    test -r $CPUFREQD_CONFFILE || exit 0

    check_for_cpufreq_support() {
    # forget it if we're trying to start and no cpufreq found in kernel
    if !([ -d /sys/devices/system/cpu/cpu0/cpufreq ] || [ -f /proc/cpufreq ]) ; then
    echo "$DESC: no cpufreq interface found. "
    exit 0
    fi
    }

    check_for_pm_support() {
    # forget it if we're trying to start and no power management support is
    # included in kernel
    if !([ -d /proc/pmu ] || [ -f /proc/apm ] || [ -d /proc/acpi ]) ; then
    echo "$DESC: no supported power management interface found. "
    exit 0
    fi
    }

    set -e

    case "$1" in
    start)
    check_for_cpufreq_support
    check_for_pm_support
    echo -n "Starting $DESC: $NAME"
    start-stop-daemon --start --oknodo --exec $DAEMON -- -f $CPUFREQD_CONFFILE || retval=$? 2>/dev/null
    if [ "x$retval" != "x" ] ; then
    echo -n " Errors occurred starting cpufreqd"
    fi
    echo "."
    ;;
    stop)
    echo -n "Stopping $DESC: $NAME"
    start-stop-daemon --stop --oknodo --exec $DAEMON
    echo "."
    ;;
    reload|force-reload)
    check_for_cpufreq_support
    check_for_pm_support
    echo -n "Reloading $DESC configuration..."
    start-stop-daemon --stop --oknodo --signal 1 --exec $DAEMON -- -f $CPUFREQD_CONFFILE 2>/dev/null
    echo "done."
    ;;
    restart)
    echo -n "Restarting $DESC: $NAME"
    start-stop-daemon --stop --oknodo --quiet --exec $DAEMON
    check_for_cpufreq_support
    check_for_pm_support
    sleep 1
    start-stop-daemon --start --oknodo --exec $DAEMON -- -f $CPUFREQD_CONFFILE || retval=$? 2>/dev/null
    if [ "x$retval" != "x" ] ; then
    echo -n " Errors occurred starting cpufreqd"
    fi
    echo "."
    ;;
    *)
    N=/etc/init.d/$NAME
    echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
    exit 1
    ;;
    esac

    exit 0


    Das wäre das script aber mir scheint so ganz korrekt habe ich das nicht modifiziert denn die meldungen kommen immernoch. Wenn ich dem daemon kille dann sind die meldungen aber weg .

    Gruß Sono
     
  12. #10 nikster77, 24.04.2005
    nikster77

    nikster77 Routinier

    Dabei seit:
    15.03.2004
    Beiträge:
    307
    Zustimmungen:
    0
    Was fuer Meldungen kommen da denn ueberhaupt?

    Gruss

    Niels
     
Thema:

fehlermeldungen von cpufred auf /dev/null umleiten

Die Seite wird geladen...

fehlermeldungen von cpufred auf /dev/null umleiten - Ähnliche Themen

  1. Windbind Fehlermeldungen

    Windbind Fehlermeldungen: Hallo zusammen, ich habe diese Fehlermeldung im windbind-idmap Log: [2010/11/23 23:46:51, 0]...
  2. Fehlermeldungen beim Löschen von Dateien

    Fehlermeldungen beim Löschen von Dateien: Hallo, ich bekomme beim Löschen eines Verzeichnisses Fehlermeldungen und kann daher dieses Verzeichnis nicht löschen. Beispiel: rm Downloads -R...
  3. smart-Fehlermeldungen im Log

    smart-Fehlermeldungen im Log: Hallo Leute, ich habe folgende Meldungen im Log gefunden: ---------- Jan 19 10:29:06 linux smartd[2536]: Device: /dev/hda, 15 Offline...
  4. Fehlermeldungen bei Aufruf von convert oder dvipng

    Fehlermeldungen bei Aufruf von convert oder dvipng: convert und dvipng sind typische Programme die in der Konsole aus Webservern heraus aufgerufen werden. Ebenso in meinem Fall. Der Nutzer sollte...
  5. fehlermeldungen umleiten

    fehlermeldungen umleiten: hi! muss auf meinem linux-server (keine grafische oberfläche) ca. 35.700 dateien von einer festplatte auf eine andere kopieren. wie kann ich...